export const colorLegend = (selection, props) => {
  const {
    spacing,
    colorScale,
    textOffset,
    circleRadius,
  } = props;
  
  const groups = selection.selectAll('g')
    .data(colorScale.domain());
  groups.exit().remove();
  
  const groupsEnter = groups.enter().append('g')
    .attr('class', 'tick');
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0, ${i * spacing})`
      );
  
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', circleRadius)
      .attr('fill', d => colorScale(d));
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
      .attr('dy', '0.32em')
      .attr('x', textOffset);
}
