import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';

const svg = select('svg');
const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon', 'lime', 'orange'])
  .range(['#c11d1d', '#eae600', 'green', 'orange']);


svg.append('g')
  .attr('transform', `translate(100,150)`)
  .call(colorLegend, {
  	spacing: 60,
    colorScale,
    textOffset: 40,
    circleRadius: 20,
  	});

const sizeScale = scaleSqrt()
  .domain([0, 10])
  .range([0, 50]);

svg.append('g')
  .attr('transform', `translate(600,150)`)
  .call(sizeLegend, {
    sizeScale,
  	spacing: 60,
    textOffset: 16,
    numTicks: 5,
    circleFill: 'rgba(0, 0, 0, 0.5)'
  	});
